/* global __REACT_DOM_ID__ */

import React from 'react';
import ReactDOM from 'react-dom';
import { AppContainer } from 'react-hot-loader';

import RootComponent from '__REACT_ROOT_COMPONENT__';

if (typeof document !== 'undefined') {
  const reactRoot = document.getElementById(__REACT_DOM_ID__);

  const renderComponent = () => {
    ReactDOM.render(
      <AppContainer>
        <RootComponent />
      </AppContainer>,
      reactRoot
    );
  };

  renderComponent();

  if (module.hot) {
    module.hot.accept('__REACT_ROOT_COMPONENT__', () => {
      renderComponent();
    });
  }
}

export default RootComponent;
